/*
 * Created on Oct 14, 2004
 * 
 * Copyright 2004 Harshy Wanigasekara
 * This software distributed under the terms of the GNU Public license.
 * See the accompanying file COPYING.txt for complete information.
 *
 * Screen to get number of people.
 */

import javax.microedition.lcdui.*;

/**
 * @author harshy
 * @version 1.0
 *
 * This screen asks the user to enter the number of people
 * at the meal.
 * @see GetPeopleState
 */
public class GetPeopleScreen extends TextBox
{
	/**
	 * Create the screen, set the possible commands and
	 * attach the command listener.
	 * 
	 * @param listener The command listener object for
	 * this screen.
	 */
	public GetPeopleScreen(CommandListener listener)
	{
		super("TipCalc: Enter people", "", 5, TextField.NUMERIC);
		
		Command exitCommand = new Command("", Command.EXIT, 1);
		addCommand(exitCommand);
		
		Command okCommand = new Command("", Command.OK, 1);
		addCommand(okCommand);
		
		setCommandListener(listener);
	}
}
