/*
 * Created on Oct 10, 2004
 * 
 * Copyright 2004 Harshy Wanigasekara
 * This software distributed under the terms of the GNU Public license.
 * See the accompanying file COPYING.txt for complete information.
 *
 * State in the tip calculator state machine.  This state displays
 * the title screen.
 */

/**
 * @author harshy
 * @version 1.0
 *
 * This state displays the title and welcome message.
 */
public class TitleState extends TipCalcState
{
	/**
	 * Create screen associated with this state.
	 * 
	 * @param main MIDlet object.
	 * @param mach State machine.
	 */
	public TitleState(TipCalc main, TipStateMachine mach)
	{
		super(main, mach);
		stateScreen = new TitleScreen(this);
	}
}
